%define name mpeg4ip
%define version 1.5.0.1
%define rel 5
%define release %mkrel %rel
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define distsuffix plf

%define major 0
%define libname %mklibname %name %major
%define faaclibname %mklibname faac 0
Summary: MPEG 4 encoder and decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch1: mpeg4ip-1.3-no-werror.patch.bz2
Patch2: mpeg4ip-1.3-x11dir.patch.bz2
Patch3: mpeg4ip-1.5.0.1-hdlr.patch.bz2
Patch4: mpeg4ip-1.5.0.1-uint8.patch
License: LGPL/MPL
Group: Video
Url: http://mpeg4ip.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%ifarch %ix86
BuildRequires: nasm
%endif
BuildRequires: libxvid-devel
BuildRequires: libid3-devel
BuildRequires: liba52dec-devel
BuildRequires: libmad-devel
BuildRequires: libmpeg2dec-devel
BuildRequires: libvorbis-devel
BuildRequires: libfaad2-devel
BuildRequires: libfaac-devel >= 1:1.24.1-0.20050901
BuildRequires: ffmpeg-devel
BuildRequires: liblame-devel
#BuildRequires: x264-devel
BuildRequires: gtk+2-devel
BuildRequires: SDL-devel
BuildRequires: automake1.8
BuildRequires: libnas-devel libalsa-devel libarts-devel libesound-devel
BuildRequires: libtool

%description
The MPEG4IP project provides a standards-based system for encoding, 
streaming, and playing encoded audio, video and text. To achieve 
this we've integrated a number of existing open source packages, and
created some original code to fill in the gaps.

This package is in PLF as it is covered by software patents.

%package -n %libname
Group: System/Libraries
Summary: MPEG 4 shared libraries
Conflicts: %faaclibname < 1:1.24.1-0.20050901.1.1plf

%description -n %libname
The MPEG4IP project provides a standards-based system for encoding, 
streaming, and playing encoded audio, video and text. To achieve 
this we've integrated a number of existing open source packages, and
created some original code to fill in the gaps.

This package is in PLF as it is covered by software patents.

%package -n %libname-devel
Group: Development/C++
Summary: MPEG 4 library headers
Requires: %libname = %version-%release
Provides: libmp4v2-devel = %version-%release
Provides: lib%name-devel = %version-%release
Conflicts: %faaclibname-devel < 1:1.24.1-0.20050901.1.1plf

%description -n %libname-devel
The MPEG4IP project provides a standards-based system for encoding, 
streaming, and playing encoded audio, video and text. To achieve 
this we've integrated a number of existing open source packages, and
created some original code to fill in the gaps.

This package is in PLF as it is covered by software patents.

%prep
%setup -q
%patch1 -p1 -b .werror
%patch2 -p1 -b .x11path
%patch3 -p1 -b .hdlr
%patch4 -p1 -b .ptrtype

cd common/video/iso-mpeg4/
%if %mdkversion < 1000
%define __libtoolize true
%endif
%__libtoolize --copy --force
cd ../../../lib/SDLAudio
%__libtoolize --copy --force
%build

./bootstrap
%configure2_5x --disable-warns-as-err --disable-x264
%make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %mdkversion >= 1020
%multiarch_includes %buildroot%_includedir/mpeg4ip_config.h
%multiarch_binaries %buildroot%_bindir/mpeg4ip-config
%endif
%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README* TODO
%_bindir/avi2raw
%_bindir/avidump
%_bindir/gmp4player
%_bindir/h264_parse
%_bindir/lboxcrop
%_bindir/mp4*
%_bindir/mpeg2video_parse
%_bindir/mpeg4vol
%_bindir/mpeg_ps_*
%_bindir/rgb2yuv
%_bindir/sdl_pcm_play
%_bindir/yuvdump
%_mandir/man1/*
%_libdir/mp4player_plugin/

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%if %mdkversion >= 1020
%multiarch_bindir/mpeg4ip-config
%endif
%_bindir/mpeg4ip-config
%_libdir/lib*.so
%_libdir/lib*a
%_includedir/*
%_mandir/man3/*
%_mandir/manm/*

%changelog
* Thu May 31 2007 Anssi Hannula <anssi@zarb.org> 1.5.0.1-5plf2008.0
- rebuild

* Sun Oct 22 2006 Anssi Hannula <anssi@zarb.org> 1.5.0.1-4plf2007.1
- patch4: fix pointer type
- move mpeg4ip-config to -devel

* Fri Oct  6 2006 Gtz Waschk <goetz@zarb.org> 1.5.0.1-3plf2007.0
- add fix for enhanced AAC

* Thu Oct 05 2006 Anssi Hannula <anssi@zarb.org> 1.5.0.1-2plf2007.0
- fix buildrequires

* Wed Oct  4 2006 Gtz Waschk <goetz@zarb.org> 1.5.0.1-1plf2007.0
- disable x264 as our version is too new
- drop patch 0
- new version

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 1.3-2plf
- fix x86_64 build (patch2)
- fix buildrequires

* Mon Sep  5 2005 Götz Waschk <goetz@zarb.org> 1.3-1plf
- initial package
